package com.muzhi.tianhe;

import cn.hutool.http.HttpRequest;
import cn.hutool.http.HttpUtil;
import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.muzhi.tianhe.service.AccessTokenService;
import com.muzhi.tianhe.service.TbService;
import com.muzhi.tianhe.service.ThTbService;
import com.muzhi.tianhe.service.impl.TbApiService;
import com.muzhi.tianhe.util.PublicUtil;
import lombok.extern.slf4j.Slf4j;
import okhttp3.OkHttpClient;
import okhttp3.Request;
import okhttp3.Response;
import org.joda.time.DateTimeUtils;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.Optional;

@Slf4j
@SpringBootTest(classes = TianHeApplication.class)
public class TbTest {

    @Autowired
    private TbService tbService;
    @Autowired
    private TbApiService tbApiService;
    @Autowired
    private ThTbService thTbService;

    @Test
    public void test(){
        try {
//            tbService.removeTianhe();
//            tbService.getXiangmu();
//            List users=tbService.projectMember("65eefe214f2eb1fe4e88b557");
//            log.info("u:{}",users);
//            tbService.test();
//            tbService.getDingUserId("");
            tbService.asyncXm();
//            JSONArray array=tbApiService.getProjectState("65efed344f2eb1fe4e88c81f");
//            System.out.println(array);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    private String data="{\"created\":\"2024-06-25T03:05:18.778Z\",\"creatorId\":\"65b1dc8355d0f38026a1c3db\",\"customfieldId\":\"65b9e3af475c2137f56d572d\",\"customfieldOldValue\":[],\"customfieldType\":\"lookup\",\"customfieldValue\":[{\"id\":\"65b1dc8355d0f38026a1c3db\",\"title\":\"顾虎臣\"}],\"taskId\":\"667127e4a830bd315b3baf44\",\"updated\":\"2024-06-25T03:05:18.778Z\"}";


    @Test
    public void tbTest(){
        String taskId="667a346caf606ea5af0a4ea4";
        thTbService.task(taskId,"2",JSONObject.parseObject(data));
    }

    //ALTER TABLE `tianhe`
    //ADD COLUMN `glxiangmubianhao`  varchar(255) NULL AFTER `taskid`,
    //ADD COLUMN `glshuoshupingtai`  varchar(255) NULL AFTER `taskid`,
    //ADD COLUMN `glxiangmuguishu`  varchar(255) NULL AFTER `taskid`,
    //ADD COLUMN `glxiangmujibie`  varchar(255) NULL AFTER `taskid`,
    //ADD COLUMN `glsjlcy`  varchar(255) NULL AFTER `taskid`,
    //ADD COLUMN `glchengbenzhongxin`  varchar(255) NULL AFTER `taskid`,
    //ADD COLUMN `glxiangmuyusuan`  varchar(255) NULL AFTER `taskid`,
    //ADD COLUMN `glyusuanzhixingqingkuang`  varchar(255) NULL AFTER `taskid`,
    //ADD COLUMN `glsfsygjrwfj`  varchar(255) NULL AFTER `taskid`,
    //ADD COLUMN `glguanjianrenwumingcheng`  varchar(255) NULL AFTER `taskid`,
    //ADD COLUMN `glxiangmugongqi`  varchar(255) NULL AFTER `taskid`,
    //ADD COLUMN `glxiangmumubiao`  text NULL AFTER `taskid`,
    //ADD COLUMN `glxiangmujiazhi`  text NULL AFTER `taskid`,
    //ADD COLUMN `glxiangmufanwei`  text NULL AFTER `taskid`,
    //ADD COLUMN `glxiangmushishicelue`  text NULL AFTER `taskid`,
    //ADD COLUMN `glxiangmujili`  text NULL AFTER `taskid`,
    //ADD COLUMN `glxiangmuzhuyaofengxian`  text NULL AFTER `taskid`;
}
